Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.context.symbol.internal.provisional
Interface IMapTypeDescriptor

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, ITypeDescriptor, org.eclipse.emf.common.notify.Notifier

public interface IMapTypeDescriptor
extends ITypeDescriptor

A representation of the model object 'IMap Type Descriptor'.

The following features are supported:

- `Map Source`
- `Immutable`

See Also:
  `SymbolPackage.getIMapTypeDescriptor()`

Field Summary
`static java.lang.String` | `copyright`

Method Summary
`java.util.Map` | `getMapSource()` Returns the value of the 'Map Source' attribute.
`boolean` | `isImmutable()` Returns the value of the 'Immutable' attribute.
`void` | `setImmutable(boolean value)` Sets the value of the '`Immutable`' attribute.
`void` | `setMapSource(java.util.Map value)` Sets the value of the '`Map Source`' attribute.

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.internal.provisional.ITypeDescriptor
`getInterfaceTypeSignatures, getMethods, getProperties, getSuperTypeSignatures, getTypeSignature, getTypeSignatureDelegate, setTypeSignatureDelegate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getMapSource

    public java.util.Map getMapSource()

  Returns the value of the 'Map Source' attribute.

  If the meaning of the 'Map Source' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Map Source' attribute.
  See Also:
    `setMapSource(Map)`, `SymbolPackage.getIMapTypeDescriptor_MapSource()`

### setMapSource

    public void setMapSource(java.util.Map value)

  Sets the value of the '`Map Source`' attribute.

  Parameters:
    `value` - the new value of the 'Map Source' attribute.
  See Also:
    `getMapSource()`

### isImmutable

    public boolean isImmutable()

  Returns the value of the 'Immutable' attribute. The default value is `"true"`.

  If the meaning of the 'Immutable' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Immutable' attribute.
  See Also:
    `setImmutable(boolean)`, `SymbolPackage.getIMapTypeDescriptor_Immutable()`

### setImmutable

    public void setImmutable(boolean value)

  Sets the value of the '`Immutable`' attribute.

  Parameters:
    `value` - the new value of the 'Immutable' attribute.
  See Also:
    `isImmutable()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD